Phases (Groovy 2.4.3)
Date: 2015-03-23

org.codehaus.groovy.control

## Class Phases

- java.lang.Object
- - org.codehaus.groovy.control.Phases

-     public class Phases
      extends Object

  Compilation phase identifiers.
  Version:
    $Id$
  Author:
    Chris Poirier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL`
    `static int` | `CANONICALIZATION`
    `static int` | `CLASS_GENERATION`
    `static int` | `CONVERSION`
    `static String[]` | `descriptions`
    `static int` | `FINALIZATION`
    `static int` | `INITIALIZATION`
    `static int` | `INSTRUCTION_SELECTION`
    `static int` | `OUTPUT`
    `static int` | `PARSING`
    `static int` | `SEMANTIC_ANALYSIS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Phases()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getDescription(int phase)` Returns a description of the specified phase.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INITIALIZATION

          public static final int INITIALIZATION

      See Also:
        Constant Field Values

    - #### PARSING

          public static final int PARSING

      See Also:
        Constant Field Values

    - #### CONVERSION

          public static final int CONVERSION

      See Also:
        Constant Field Values

    - #### SEMANTIC_ANALYSIS

          public static final int SEMANTIC_ANALYSIS

      See Also:
        Constant Field Values

    - #### CANONICALIZATION

          public static final int CANONICALIZATION

      See Also:
        Constant Field Values

    - #### INSTRUCTION_SELECTION

          public static final int INSTRUCTION_SELECTION

      See Also:
        Constant Field Values

    - #### CLASS_GENERATION

          public static final int CLASS_GENERATION

      See Also:
        Constant Field Values

    - #### OUTPUT

          public static final int OUTPUT

      See Also:
        Constant Field Values

    - #### FINALIZATION

          public static final int FINALIZATION

      See Also:
        Constant Field Values

    - #### ALL

          public static final int ALL

      See Also:
        Constant Field Values

    - #### descriptions

          public static String[] descriptions

  - ### Constructor Detail

    - #### Phases

          public Phases()

  - ### Method Detail

    - #### getDescription

          public static String getDescription(int phase)

      Returns a description of the specified phase.